New To The Forum? Click Here To Read The How To Guide. -- Developers Click Here.

openvr_api.dll Error

MorrigannMorrigann Posts: 1
NerveGear
When trying to upload to Oculus I keep getting the following error:

"The package contains DLL libraries that are known to cause issues when running on the Oculus platform. These files must be removed prior to uploading: .../Plugins/openvr_api.dll"

I've disabled all the plugins and removed the file but I'm still getting the error. Any help would be much appreciated! 

Thanks!
R

Comments

  • imperativityimperativity Posts: 1,448 Oculus Staff
    Hi, I am currently looking into this and will advise you on what information I find that is applicable to your situation.
  • imperativityimperativity Posts: 1,448 Oculus Staff
    @Morrigann

    Can you tell me which plugins you are using?

    Also, if you were to remake your project without the plugins, do you still encounter this error?
  • eric3deeeric3dee Posts: 14
    NerveGear
    Please help!  We are having the same issue.  On our end the error seems to be referring to all of the .dlls that are under the Binaries>Third Party directory in our package.  We have disabled all plugins in the Unreal editor but these plugins still get packaged in for whatever reason.  I'd ultimately like to know how to package without them in it.
  • ENiKSENiKS Posts: 65
    Hiro Protagonist
    There seems to be a case where openvr_api.dll gets packaged even when SteamVR plugin is disabled, happend to me once or twice. Remove it manually and it will still work perfectly when you upload it to store.
  • eric3deeeric3dee Posts: 14
    NerveGear
    If I delete the .dll files in question, the .exe won't run. Unreal throws up a crash report. Are you suggesting that if I disregard that and go ahead and upload, it will work?
  • eric3deeeric3dee Posts: 14
    NerveGear
    edited September 4
    .
Sign In or Register to comment.